Package org.apache.tools.ant.util

# Enum Class ScriptManager

java.lang.Object
java.lang.Enum<ScriptManager>
org.apache.tools.ant.util.ScriptManager

All Implemented Interfaces:
  `Serializable`, `Comparable<ScriptManager>`, `Constable`

public enum ScriptManager extends Enum<ScriptManager>
Script manager `enum`.

Since:
  Ant 1.10.13

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`auto`
`bsf`
`javax`

## Method Summary

Modifier and Type
Method
Description
`static ScriptManager`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScriptManager[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### auto

public static final ScriptManager auto

### bsf

public static final ScriptManager bsf

### javax

public static final ScriptManager javax

## Method Details

### values

public static ScriptManager[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ScriptManager valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null